Topic: Broadcom BCM947xx/953xx [2.4] or [2.6] on wl-500gp ?

Hello everybody.

I just bought a brand new Asus wl-5OOg premium router.
The wiki states that "With Kamikaze 7.09 and target system Broadcom BCM947xx/953xx [2.4] the ASUS WL-500g Premium is fully supported and runs stable.". Apparently, the Broadcom BCM947xx/953xx [2.6] is not fully supported yet.

How can I now which version of the Broadcom chipset I'm using ?

I'm rather cautious, so I'll flash my router only if I'm sure  it's well supported, plus I'd like to avoid voiding my warranty by opening the router.

I toyed around the "hidden admin page" of the standard asus firmware, but I couldn't get the info I wanted through this mean.

Thanks for your answers.

2 (edited by azaghal 2007-12-29 12:17:35)

Re: Broadcom BCM947xx/953xx [2.4] or [2.6] on wl-500gp ?

Having the same router here, I'm using the 2.4 kernel version, no real problems so far. I did not try 2.6 kernel, but I'd avoid it until the next release comes out (no idea if it's fixed in the trunk, though).

EDIT:
The image you'll want is http://downloads.openwrt.org/kamikaze/7.09/brcm-2.4/openwrt-brcm-2.4-squashfs.trx
(ie. both chipsets are supported by same firmware)

Re: Broadcom BCM947xx/953xx [2.4] or [2.6] on wl-500gp ?

On the wiki page (http://wiki.openwrt.org/OpenWrtDocs/Hardware/Asus/WL500GP?highlight=%28CategoryModel%29) the [2.4] and [2.6] are meant for kernel version ?

I thought it was some sort of hardware revision of the Broadcom chipset !

Duh ! I feel dumb now !

Sorry for wasting your time with a stupid question.
I'll guess I'll flash the 2.4 kernel firmware for now until the 2.6 works fine ^^

Re: Broadcom BCM947xx/953xx [2.4] or [2.6] on wl-500gp ?

please, don´t feel sorry for asking this question.

I am planning to buy this device and I am confused too.
what means this "Random segfaults -- Fixed in https://dev.openwrt.org/changeset/9285 "

thx xhonkx

Re: Broadcom BCM947xx/953xx [2.4] or [2.6] on wl-500gp ?

It means that using Kamikaze_7.09, sometimes there are just random segfaults on the wl-500gp.

Openwrt# ls
Segmentation fault.

If it bothers you, compile from trunk and there will be less of them. They didn't bother me, but other things did finally get me to move from 7.09 to trunk.

It's a good router. Two serials, two usbs, and a minipci slot for $70 on newegg.

Re: Broadcom BCM947xx/953xx [2.4] or [2.6] on wl-500gp ?

I think that the WiFi doesn't work yet  under 2.6 as well or was it fixed in the trunk? (that is, to have wireless with the default hardware you need to use 2.4 kernel)

Re: Broadcom BCM947xx/953xx [2.4] or [2.6] on wl-500gp ?

Just went from WR to Kamikaze and Im having trouble with wifi. Using the one with 2.4.
Elaborate about trunk version?

Re: Broadcom BCM947xx/953xx [2.4] or [2.6] on wl-500gp ?

i have this router and i think it's great ( FYI the 2.6 version works great , EXCEPT no wireless and random seg faults ) .. i run the 2.4 version with a 4GB usb drive for backups and storage ( see http://wiki.openwrt.org/UsbStorageHowto?highlight=%28usb%29 section 4.1 for my script )
i also have a working ipv6to4 tunnel and radvd running.

IF you have any issues let me know ..

Re: Broadcom BCM947xx/953xx [2.4] or [2.6] on wl-500gp ?

lucindrea wrote:

FYI the 2.6 version works great , EXCEPT no wireless and random seg faults

Uh, those are serious issues, how can you use "works great" and "random seg faults" in the same sentence.

I'm running 2.4 kernel on my Asus WL-500-GP. with a custom traffic shaping setup. Works great, stable, no segfaults, had only minor issues with port forwarding but it does work in general.

Next OpenWRT release may fix 2.6 kernel for this device, so I'm looking forward to it. Until then, you shouldn't use 2.6 kernel, or use SVN (on your own risk) instead of stable release.

10 (edited by lucindrea 2008-01-19 03:41:05)

Re: Broadcom BCM947xx/953xx [2.4] or [2.6] on wl-500gp ?

um .. it's called sarcasm wink   and if you noticed .. i'm running 2.4

i tried the svn .. but the main issue i have with it is the ipkg making noise about " expecting kernel ver X " messages ..

2.4 is very stable and seems to of not given me any issues ( i have one system that doesnt like the encryption , but i think thats more of a system problem on the client than on the router ) ... i'm very inpressed with it acctully.

edited for typos

Re: Broadcom BCM947xx/953xx [2.4] or [2.6] on wl-500gp ?

I should go catch some sleep... sorry for the fuss wink

Re: Broadcom BCM947xx/953xx [2.4] or [2.6] on wl-500gp ?

I want to use kernel 2.6 on Asus WL 500G Premium V2. However, the wireless is not necessary for me. How can I disable wireless part when build kamikaze.

Re: Broadcom BCM947xx/953xx [2.4] or [2.6] on wl-500gp ?

lsomchai wrote:

I want to use kernel 2.6 on Asus WL 500G Premium V2. However, the wireless is not necessary for me. How can I disable wireless part when build kamikaze.

just build a svn trunk and do not configure the wireless.

I am in the process of building an image for a 500w - seems to be working, haven't tackled wireless yet